
//
//  FontAwesomeSolid.m
//  Project
//
//  Created by Vae on 2018/8/6.
//

#import "FAKFontAwesomeSolid.h"

@implementation FAKFontAwesomeSolid

+ (UIFont *)iconFontWithSize:(CGFloat)size {
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        [self registerIconFontWithURL:[[NSBundle bundleForClass:[FAKFontAwesomeSolid class]] URLForResource:@"Font Awesome 5 Free Solid" withExtension:@"otf"]];
    });
    
    UIFont *font = [UIFont fontWithName:@"FontAwesome5FreeSolid" size:size];
    NSAssert(font, @"UIFont object should not be nil, check if the font file is added to the application bundle and you're using the correct font name.");
    return font;
}

+ (instancetype)addressBookIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b9" size:size];
}

+ (instancetype)addressCardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2bb" size:size];
}

+ (instancetype)adjustIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf042" size:size];
}

+ (instancetype)airFreshenerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5d0" size:size];
}

+ (instancetype)alignCenterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf037" size:size];
}

+ (instancetype)alignJustifyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf039" size:size];
}

+ (instancetype)alignLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf036" size:size];
}

+ (instancetype)alignRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf038" size:size];
}

+ (instancetype)allergiesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf461" size:size];
}

+ (instancetype)ambulanceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f9" size:size];
}

+ (instancetype)americanSignLanguageInterpretingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a3" size:size];
}

+ (instancetype)anchorIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf13d" size:size];
}

+ (instancetype)angleDoubleDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf103" size:size];
}

+ (instancetype)angleDoubleLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf100" size:size];
}

+ (instancetype)angleDoubleRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf101" size:size];
}

+ (instancetype)angleDoubleUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf102" size:size];
}

+ (instancetype)angleDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf107" size:size];
}

+ (instancetype)angleLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf104" size:size];
}

+ (instancetype)angleRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf105" size:size];
}

+ (instancetype)angleUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf106" size:size];
}

+ (instancetype)angryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf556" size:size];
}

+ (instancetype)appleAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5d1" size:size];
}

+ (instancetype)archiveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf187" size:size];
}

+ (instancetype)archwayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf557" size:size];
}

+ (instancetype)arrowAltCircleDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf358" size:size];
}

+ (instancetype)arrowAltCircleLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf359" size:size];
}

+ (instancetype)arrowAltCircleRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf35a" size:size];
}

+ (instancetype)arrowAltCircleUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf35b" size:size];
}

+ (instancetype)arrowCircleDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0ab" size:size];
}

+ (instancetype)arrowCircleLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a8" size:size];
}

+ (instancetype)arrowCircleRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a9" size:size];
}

+ (instancetype)arrowCircleUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0aa" size:size];
}

+ (instancetype)arrowDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf063" size:size];
}

+ (instancetype)arrowLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf060" size:size];
}

+ (instancetype)arrowRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf061" size:size];
}

+ (instancetype)arrowUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf062" size:size];
}

+ (instancetype)arrowsAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0b2" size:size];
}

+ (instancetype)arrowsAltHIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf337" size:size];
}

+ (instancetype)arrowsAltVIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf338" size:size];
}

+ (instancetype)assistiveListeningSystemsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a2" size:size];
}

+ (instancetype)asteriskIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf069" size:size];
}

+ (instancetype)atIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1fa" size:size];
}

+ (instancetype)atlasIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf558" size:size];
}

+ (instancetype)atomIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5d2" size:size];
}

+ (instancetype)audioDescriptionIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf29e" size:size];
}

+ (instancetype)awardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf559" size:size];
}

+ (instancetype)backspaceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf55a" size:size];
}

+ (instancetype)backwardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf04a" size:size];
}

+ (instancetype)balanceScaleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf24e" size:size];
}

+ (instancetype)banIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf05e" size:size];
}

+ (instancetype)bandAidIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf462" size:size];
}

+ (instancetype)barcodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf02a" size:size];
}

+ (instancetype)barsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c9" size:size];
}

+ (instancetype)baseballBallIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf433" size:size];
}

+ (instancetype)basketballBallIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf434" size:size];
}

+ (instancetype)bathIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2cd" size:size];
}

+ (instancetype)batteryEmptyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf244" size:size];
}

+ (instancetype)batteryFullIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf240" size:size];
}

+ (instancetype)batteryHalfIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf242" size:size];
}

+ (instancetype)batteryQuarterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf243" size:size];
}

+ (instancetype)batteryThreeQuartersIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf241" size:size];
}

+ (instancetype)bedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf236" size:size];
}

+ (instancetype)beerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0fc" size:size];
}

+ (instancetype)bellIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f3" size:size];
}

+ (instancetype)bellSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f6" size:size];
}

+ (instancetype)bezierCurveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf55b" size:size];
}

+ (instancetype)bicycleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf206" size:size];
}

+ (instancetype)binocularsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e5" size:size];
}

+ (instancetype)birthdayCakeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1fd" size:size];
}

+ (instancetype)blenderIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf517" size:size];
}

+ (instancetype)blindIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf29d" size:size];
}

+ (instancetype)boldIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf032" size:size];
}

+ (instancetype)boltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e7" size:size];
}

+ (instancetype)bombIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e2" size:size];
}

+ (instancetype)boneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5d7" size:size];
}

+ (instancetype)bongIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf55c" size:size];
}

+ (instancetype)bookIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf02d" size:size];
}

+ (instancetype)bookOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf518" size:size];
}

+ (instancetype)bookReaderIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5da" size:size];
}

+ (instancetype)bookmarkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf02e" size:size];
}

+ (instancetype)bowlingBallIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf436" size:size];
}

+ (instancetype)boxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf466" size:size];
}

+ (instancetype)boxOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf49e" size:size];
}

+ (instancetype)boxesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf468" size:size];
}

+ (instancetype)brailleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a1" size:size];
}

+ (instancetype)brainIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5dc" size:size];
}

+ (instancetype)briefcaseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0b1" size:size];
}

+ (instancetype)briefcaseMedicalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf469" size:size];
}

+ (instancetype)broadcastTowerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf519" size:size];
}

+ (instancetype)broomIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf51a" size:size];
}

+ (instancetype)brushIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf55d" size:size];
}

+ (instancetype)bugIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf188" size:size];
}

+ (instancetype)buildingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ad" size:size];
}

+ (instancetype)bullhornIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a1" size:size];
}

+ (instancetype)bullseyeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf140" size:size];
}

+ (instancetype)burnIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf46a" size:size];
}

+ (instancetype)busIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf207" size:size];
}

+ (instancetype)busAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf55e" size:size];
}

+ (instancetype)calculatorIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ec" size:size];
}

+ (instancetype)calendarIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf133" size:size];
}

+ (instancetype)calendarAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf073" size:size];
}

+ (instancetype)calendarCheckIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf274" size:size];
}

+ (instancetype)calendarMinusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf272" size:size];
}

+ (instancetype)calendarPlusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf271" size:size];
}

+ (instancetype)calendarTimesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf273" size:size];
}

+ (instancetype)cameraIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf030" size:size];
}

+ (instancetype)cameraRetroIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf083" size:size];
}

+ (instancetype)cannabisIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf55f" size:size];
}

+ (instancetype)capsulesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf46b" size:size];
}

+ (instancetype)carIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b9" size:size];
}

+ (instancetype)carAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5de" size:size];
}

+ (instancetype)carBatteryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5df" size:size];
}

+ (instancetype)carCrashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5e1" size:size];
}

+ (instancetype)carSideIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5e4" size:size];
}

+ (instancetype)caretDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d7" size:size];
}

+ (instancetype)caretLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d9" size:size];
}

+ (instancetype)caretRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0da" size:size];
}

+ (instancetype)caretSquareDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf150" size:size];
}

+ (instancetype)caretSquareLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf191" size:size];
}

+ (instancetype)caretSquareRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf152" size:size];
}

+ (instancetype)caretSquareUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf151" size:size];
}

+ (instancetype)caretUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d8" size:size];
}

+ (instancetype)cartArrowDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf218" size:size];
}

+ (instancetype)cartPlusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf217" size:size];
}

+ (instancetype)certificateIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a3" size:size];
}

+ (instancetype)chalkboardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf51b" size:size];
}

+ (instancetype)chalkboardTeacherIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf51c" size:size];
}

+ (instancetype)chargingStationIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5e7" size:size];
}

+ (instancetype)chartAreaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1fe" size:size];
}

+ (instancetype)chartBarIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf080" size:size];
}

+ (instancetype)chartLineIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf201" size:size];
}

+ (instancetype)chartPieIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf200" size:size];
}

+ (instancetype)checkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf00c" size:size];
}

+ (instancetype)checkCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf058" size:size];
}

+ (instancetype)checkDoubleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf560" size:size];
}

+ (instancetype)checkSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf14a" size:size];
}

+ (instancetype)chessIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf439" size:size];
}

+ (instancetype)chessBishopIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf43a" size:size];
}

+ (instancetype)chessBoardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf43c" size:size];
}

+ (instancetype)chessKingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf43f" size:size];
}

+ (instancetype)chessKnightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf441" size:size];
}

+ (instancetype)chessPawnIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf443" size:size];
}

+ (instancetype)chessQueenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf445" size:size];
}

+ (instancetype)chessRookIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf447" size:size];
}

+ (instancetype)chevronCircleDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf13a" size:size];
}

+ (instancetype)chevronCircleLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf137" size:size];
}

+ (instancetype)chevronCircleRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf138" size:size];
}

+ (instancetype)chevronCircleUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf139" size:size];
}

+ (instancetype)chevronDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf078" size:size];
}

+ (instancetype)chevronLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf053" size:size];
}

+ (instancetype)chevronRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf054" size:size];
}

+ (instancetype)chevronUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf077" size:size];
}

+ (instancetype)childIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ae" size:size];
}

+ (instancetype)churchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf51d" size:size];
}

+ (instancetype)circleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf111" size:size];
}

+ (instancetype)circleNotchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ce" size:size];
}

+ (instancetype)clipboardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf328" size:size];
}

+ (instancetype)clipboardCheckIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf46c" size:size];
}

+ (instancetype)clipboardListIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf46d" size:size];
}

+ (instancetype)clockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf017" size:size];
}

+ (instancetype)cloneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf24d" size:size];
}

+ (instancetype)closedCaptioningIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf20a" size:size];
}

+ (instancetype)cloudIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c2" size:size];
}

+ (instancetype)cloudDownloadAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf381" size:size];
}

+ (instancetype)cloudUploadAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf382" size:size];
}

+ (instancetype)cocktailIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf561" size:size];
}

+ (instancetype)codeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf121" size:size];
}

+ (instancetype)codeBranchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf126" size:size];
}

+ (instancetype)coffeeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f4" size:size];
}

+ (instancetype)cogIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf013" size:size];
}

+ (instancetype)cogsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf085" size:size];
}

+ (instancetype)coinsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf51e" size:size];
}

+ (instancetype)columnsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0db" size:size];
}

+ (instancetype)commentIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf075" size:size];
}

+ (instancetype)commentAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf27a" size:size];
}

+ (instancetype)commentDotsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ad" size:size];
}

+ (instancetype)commentSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4b3" size:size];
}

+ (instancetype)commentsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf086" size:size];
}

+ (instancetype)compactDiscIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf51f" size:size];
}

+ (instancetype)compassIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf14e" size:size];
}

+ (instancetype)compressIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf066" size:size];
}

+ (instancetype)conciergeBellIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf562" size:size];
}

+ (instancetype)cookieIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf563" size:size];
}

+ (instancetype)cookieBiteIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf564" size:size];
}

+ (instancetype)copyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c5" size:size];
}

+ (instancetype)copyrightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f9" size:size];
}

+ (instancetype)couchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4b8" size:size];
}

+ (instancetype)creditCardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf09d" size:size];
}

+ (instancetype)cropIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf125" size:size];
}

+ (instancetype)cropAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf565" size:size];
}

+ (instancetype)crosshairsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf05b" size:size];
}

+ (instancetype)crowIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf520" size:size];
}

+ (instancetype)crownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf521" size:size];
}

+ (instancetype)cubeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b2" size:size];
}

+ (instancetype)cubesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b3" size:size];
}

+ (instancetype)cutIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c4" size:size];
}

+ (instancetype)databaseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c0" size:size];
}

+ (instancetype)deafIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a4" size:size];
}

+ (instancetype)desktopIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf108" size:size];
}

+ (instancetype)diagnosesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf470" size:size];
}

+ (instancetype)diceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf522" size:size];
}

+ (instancetype)diceFiveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf523" size:size];
}

+ (instancetype)diceFourIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf524" size:size];
}

+ (instancetype)diceOneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf525" size:size];
}

+ (instancetype)diceSixIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf526" size:size];
}

+ (instancetype)diceThreeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf527" size:size];
}

+ (instancetype)diceTwoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf528" size:size];
}

+ (instancetype)digitalTachographIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf566" size:size];
}

+ (instancetype)directionsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5eb" size:size];
}

+ (instancetype)divideIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf529" size:size];
}

+ (instancetype)dizzyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf567" size:size];
}

+ (instancetype)dnaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf471" size:size];
}

+ (instancetype)dollarSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf155" size:size];
}

+ (instancetype)dollyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf472" size:size];
}

+ (instancetype)dollyFlatbedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf474" size:size];
}

+ (instancetype)donateIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4b9" size:size];
}

+ (instancetype)doorClosedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf52a" size:size];
}

+ (instancetype)doorOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf52b" size:size];
}

+ (instancetype)dotCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf192" size:size];
}

+ (instancetype)doveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ba" size:size];
}

+ (instancetype)downloadIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf019" size:size];
}

+ (instancetype)draftingCompassIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf568" size:size];
}

+ (instancetype)drawPolygonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ee" size:size];
}

+ (instancetype)drumIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf569" size:size];
}

+ (instancetype)drumSteelpanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf56a" size:size];
}

+ (instancetype)dumbbellIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf44b" size:size];
}

+ (instancetype)editIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf044" size:size];
}

+ (instancetype)ejectIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf052" size:size];
}

+ (instancetype)ellipsisHIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf141" size:size];
}

+ (instancetype)ellipsisVIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf142" size:size];
}

+ (instancetype)envelopeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e0" size:size];
}

+ (instancetype)envelopeOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b6" size:size];
}

+ (instancetype)envelopeSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf199" size:size];
}

+ (instancetype)equalsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf52c" size:size];
}

+ (instancetype)eraserIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf12d" size:size];
}

+ (instancetype)euroSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf153" size:size];
}

+ (instancetype)exchangeAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf362" size:size];
}

+ (instancetype)exclamationIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf12a" size:size];
}

+ (instancetype)exclamationCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf06a" size:size];
}

+ (instancetype)exclamationTriangleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf071" size:size];
}

+ (instancetype)expandIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf065" size:size];
}

+ (instancetype)expandArrowsAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf31e" size:size];
}

+ (instancetype)externalLinkAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf35d" size:size];
}

+ (instancetype)externalLinkSquareAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf360" size:size];
}

+ (instancetype)eyeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf06e" size:size];
}

+ (instancetype)eyeDropperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1fb" size:size];
}

+ (instancetype)eyeSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf070" size:size];
}

+ (instancetype)fastBackwardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf049" size:size];
}

+ (instancetype)fastForwardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf050" size:size];
}

+ (instancetype)faxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ac" size:size];
}

+ (instancetype)featherIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf52d" size:size];
}

+ (instancetype)featherAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf56b" size:size];
}

+ (instancetype)femaleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf182" size:size];
}

+ (instancetype)fighterJetIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0fb" size:size];
}

+ (instancetype)fileIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf15b" size:size];
}

+ (instancetype)fileAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf15c" size:size];
}

+ (instancetype)fileArchiveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c6" size:size];
}

+ (instancetype)fileAudioIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c7" size:size];
}

+ (instancetype)fileCodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c9" size:size];
}

+ (instancetype)fileContractIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf56c" size:size];
}

+ (instancetype)fileDownloadIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf56d" size:size];
}

+ (instancetype)fileExcelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c3" size:size];
}

+ (instancetype)fileExportIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf56e" size:size];
}

+ (instancetype)fileImageIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c5" size:size];
}

+ (instancetype)fileImportIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf56f" size:size];
}

+ (instancetype)fileInvoiceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf570" size:size];
}

+ (instancetype)fileInvoiceDollarIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf571" size:size];
}

+ (instancetype)fileMedicalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf477" size:size];
}

+ (instancetype)fileMedicalAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf478" size:size];
}

+ (instancetype)filePdfIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c1" size:size];
}

+ (instancetype)filePowerpointIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c4" size:size];
}

+ (instancetype)filePrescriptionIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf572" size:size];
}

+ (instancetype)fileSignatureIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf573" size:size];
}

+ (instancetype)fileUploadIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf574" size:size];
}

+ (instancetype)fileVideoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c8" size:size];
}

+ (instancetype)fileWordIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1c2" size:size];
}

+ (instancetype)fillIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf575" size:size];
}

+ (instancetype)fillDripIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf576" size:size];
}

+ (instancetype)filmIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf008" size:size];
}

+ (instancetype)filterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0b0" size:size];
}

+ (instancetype)fingerprintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf577" size:size];
}

+ (instancetype)fireIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf06d" size:size];
}

+ (instancetype)fireExtinguisherIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf134" size:size];
}

+ (instancetype)firstAidIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf479" size:size];
}

+ (instancetype)fishIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf578" size:size];
}

+ (instancetype)flagIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf024" size:size];
}

+ (instancetype)flagCheckeredIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf11e" size:size];
}

+ (instancetype)flaskIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c3" size:size];
}

+ (instancetype)flushedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf579" size:size];
}

+ (instancetype)folderIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf07b" size:size];
}

+ (instancetype)folderOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf07c" size:size];
}

+ (instancetype)fontIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf031" size:size];
}

+ (instancetype)fontAwesomeLogoFullIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e6" size:size];
}

+ (instancetype)footballBallIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf44e" size:size];
}

+ (instancetype)forwardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf04e" size:size];
}

+ (instancetype)frogIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf52e" size:size];
}

+ (instancetype)frownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf119" size:size];
}

+ (instancetype)frownOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57a" size:size];
}

+ (instancetype)futbolIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e3" size:size];
}

+ (instancetype)gamepadIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf11b" size:size];
}

+ (instancetype)gasPumpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf52f" size:size];
}

+ (instancetype)gavelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e3" size:size];
}

+ (instancetype)gemIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a5" size:size];
}

+ (instancetype)genderlessIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf22d" size:size];
}

+ (instancetype)giftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf06b" size:size];
}

+ (instancetype)glassMartiniIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf000" size:size];
}

+ (instancetype)glassMartiniAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57b" size:size];
}

+ (instancetype)glassesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf530" size:size];
}

+ (instancetype)globeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0ac" size:size];
}

+ (instancetype)globeAfricaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57c" size:size];
}

+ (instancetype)globeAmericasIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57d" size:size];
}

+ (instancetype)globeAsiaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57e" size:size];
}

+ (instancetype)golfBallIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf450" size:size];
}

+ (instancetype)graduationCapIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf19d" size:size];
}

+ (instancetype)greaterThanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf531" size:size];
}

+ (instancetype)greaterThanEqualIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf532" size:size];
}

+ (instancetype)grimaceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf57f" size:size];
}

+ (instancetype)grinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf580" size:size];
}

+ (instancetype)grinAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf581" size:size];
}

+ (instancetype)grinBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf582" size:size];
}

+ (instancetype)grinBeamSweatIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf583" size:size];
}

+ (instancetype)grinHeartsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf584" size:size];
}

+ (instancetype)grinSquintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf585" size:size];
}

+ (instancetype)grinSquintTearsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf586" size:size];
}

+ (instancetype)grinStarsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf587" size:size];
}

+ (instancetype)grinTearsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf588" size:size];
}

+ (instancetype)grinTongueIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf589" size:size];
}

+ (instancetype)grinTongueSquintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58a" size:size];
}

+ (instancetype)grinTongueWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58b" size:size];
}

+ (instancetype)grinWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58c" size:size];
}

+ (instancetype)gripHorizontalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58d" size:size];
}

+ (instancetype)gripVerticalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58e" size:size];
}

+ (instancetype)hSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0fd" size:size];
}

+ (instancetype)handHoldingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4bd" size:size];
}

+ (instancetype)handHoldingHeartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4be" size:size];
}

+ (instancetype)handHoldingUsdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4c0" size:size];
}

+ (instancetype)handLizardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf258" size:size];
}

+ (instancetype)handPaperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf256" size:size];
}

+ (instancetype)handPeaceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25b" size:size];
}

+ (instancetype)handPointDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a7" size:size];
}

+ (instancetype)handPointLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a5" size:size];
}

+ (instancetype)handPointRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a4" size:size];
}

+ (instancetype)handPointUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a6" size:size];
}

+ (instancetype)handPointerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25a" size:size];
}

+ (instancetype)handRockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf255" size:size];
}

+ (instancetype)handScissorsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf257" size:size];
}

+ (instancetype)handSpockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf259" size:size];
}

+ (instancetype)handsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4c2" size:size];
}

+ (instancetype)handsHelpingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4c4" size:size];
}

+ (instancetype)handshakeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b5" size:size];
}

+ (instancetype)hashtagIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf292" size:size];
}

+ (instancetype)hddIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0a0" size:size];
}

+ (instancetype)headingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1dc" size:size];
}

+ (instancetype)headphonesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf025" size:size];
}

+ (instancetype)headphonesAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf58f" size:size];
}

+ (instancetype)headsetIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf590" size:size];
}

+ (instancetype)heartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf004" size:size];
}

+ (instancetype)heartbeatIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf21e" size:size];
}

+ (instancetype)helicopterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf533" size:size];
}

+ (instancetype)highlighterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf591" size:size];
}

+ (instancetype)historyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1da" size:size];
}

+ (instancetype)hockeyPuckIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf453" size:size];
}

+ (instancetype)homeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf015" size:size];
}

+ (instancetype)hospitalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f8" size:size];
}

+ (instancetype)hospitalAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf47d" size:size];
}

+ (instancetype)hospitalSymbolIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf47e" size:size];
}

+ (instancetype)hotTubIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf593" size:size];
}

+ (instancetype)hotelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf594" size:size];
}

+ (instancetype)hourglassIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf254" size:size];
}

+ (instancetype)hourglassEndIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf253" size:size];
}

+ (instancetype)hourglassHalfIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf252" size:size];
}

+ (instancetype)hourglassStartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf251" size:size];
}

+ (instancetype)iCursorIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf246" size:size];
}

+ (instancetype)idBadgeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c1" size:size];
}

+ (instancetype)idCardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c2" size:size];
}

+ (instancetype)idCardAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf47f" size:size];
}

+ (instancetype)imageIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf03e" size:size];
}

+ (instancetype)imagesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf302" size:size];
}

+ (instancetype)inboxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf01c" size:size];
}

+ (instancetype)indentIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf03c" size:size];
}

+ (instancetype)industryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf275" size:size];
}

+ (instancetype)infinityIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf534" size:size];
}

+ (instancetype)infoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf129" size:size];
}

+ (instancetype)infoCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf05a" size:size];
}

+ (instancetype)italicIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf033" size:size];
}

+ (instancetype)jointIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf595" size:size];
}

+ (instancetype)keyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf084" size:size];
}

+ (instancetype)keyboardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf11c" size:size];
}

+ (instancetype)kissIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf596" size:size];
}

+ (instancetype)kissBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf597" size:size];
}

+ (instancetype)kissWinkHeartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf598" size:size];
}

+ (instancetype)kiwiBirdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf535" size:size];
}

+ (instancetype)languageIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ab" size:size];
}

+ (instancetype)laptopIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf109" size:size];
}

+ (instancetype)laptopCodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5fc" size:size];
}

+ (instancetype)laughIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf599" size:size];
}

+ (instancetype)laughBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59a" size:size];
}

+ (instancetype)laughSquintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59b" size:size];
}

+ (instancetype)laughWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59c" size:size];
}

+ (instancetype)layerGroupIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5fd" size:size];
}

+ (instancetype)leafIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf06c" size:size];
}

+ (instancetype)lemonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf094" size:size];
}

+ (instancetype)lessThanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf536" size:size];
}

+ (instancetype)lessThanEqualIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf537" size:size];
}

+ (instancetype)levelDownAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3be" size:size];
}

+ (instancetype)levelUpAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3bf" size:size];
}

+ (instancetype)lifeRingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1cd" size:size];
}

+ (instancetype)lightbulbIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0eb" size:size];
}

+ (instancetype)linkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c1" size:size];
}

+ (instancetype)liraSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf195" size:size];
}

+ (instancetype)listIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf03a" size:size];
}

+ (instancetype)listAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf022" size:size];
}

+ (instancetype)listOlIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0cb" size:size];
}

+ (instancetype)listUlIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0ca" size:size];
}

+ (instancetype)locationArrowIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf124" size:size];
}

+ (instancetype)lockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf023" size:size];
}

+ (instancetype)lockOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c1" size:size];
}

+ (instancetype)longArrowAltDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf309" size:size];
}

+ (instancetype)longArrowAltLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf30a" size:size];
}

+ (instancetype)longArrowAltRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf30b" size:size];
}

+ (instancetype)longArrowAltUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf30c" size:size];
}

+ (instancetype)lowVisionIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a8" size:size];
}

+ (instancetype)luggageCartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59d" size:size];
}

+ (instancetype)magicIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d0" size:size];
}

+ (instancetype)magnetIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf076" size:size];
}

+ (instancetype)maleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf183" size:size];
}

+ (instancetype)mapIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf279" size:size];
}

+ (instancetype)mapMarkedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59f" size:size];
}

+ (instancetype)mapMarkedAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a0" size:size];
}

+ (instancetype)mapMarkerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf041" size:size];
}

+ (instancetype)mapMarkerAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c5" size:size];
}

+ (instancetype)mapPinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf276" size:size];
}

+ (instancetype)mapSignsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf277" size:size];
}

+ (instancetype)markerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a1" size:size];
}

+ (instancetype)marsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf222" size:size];
}

+ (instancetype)marsDoubleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf227" size:size];
}

+ (instancetype)marsStrokeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf229" size:size];
}

+ (instancetype)marsStrokeHIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf22b" size:size];
}

+ (instancetype)marsStrokeVIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf22a" size:size];
}

+ (instancetype)medalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a2" size:size];
}

+ (instancetype)medkitIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0fa" size:size];
}

+ (instancetype)mehIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf11a" size:size];
}

+ (instancetype)mehBlankIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a4" size:size];
}

+ (instancetype)mehRollingEyesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a5" size:size];
}

+ (instancetype)memoryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf538" size:size];
}

+ (instancetype)mercuryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf223" size:size];
}

+ (instancetype)microchipIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2db" size:size];
}

+ (instancetype)microphoneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf130" size:size];
}

+ (instancetype)microphoneAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c9" size:size];
}

+ (instancetype)microphoneAltSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf539" size:size];
}

+ (instancetype)microphoneSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf131" size:size];
}

+ (instancetype)microscopeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf610" size:size];
}

+ (instancetype)minusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf068" size:size];
}

+ (instancetype)minusCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf056" size:size];
}

+ (instancetype)minusSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf146" size:size];
}

+ (instancetype)mobileIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf10b" size:size];
}

+ (instancetype)mobileAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3cd" size:size];
}

+ (instancetype)moneyBillIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d6" size:size];
}

+ (instancetype)moneyBillAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d1" size:size];
}

+ (instancetype)moneyBillWaveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf53a" size:size];
}

+ (instancetype)moneyBillWaveAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf53b" size:size];
}

+ (instancetype)moneyCheckIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf53c" size:size];
}

+ (instancetype)moneyCheckAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf53d" size:size];
}

+ (instancetype)monumentIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a6" size:size];
}

+ (instancetype)moonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf186" size:size];
}

+ (instancetype)mortarPestleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a7" size:size];
}

+ (instancetype)motorcycleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf21c" size:size];
}

+ (instancetype)mousePointerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf245" size:size];
}

+ (instancetype)musicIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf001" size:size];
}

+ (instancetype)neuterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf22c" size:size];
}

+ (instancetype)newspaperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ea" size:size];
}

+ (instancetype)notEqualIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf53e" size:size];
}

+ (instancetype)notesMedicalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf481" size:size];
}

+ (instancetype)objectGroupIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf247" size:size];
}

+ (instancetype)objectUngroupIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf248" size:size];
}

+ (instancetype)oilCanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf613" size:size];
}

+ (instancetype)outdentIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf03b" size:size];
}

+ (instancetype)paintBrushIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1fc" size:size];
}

+ (instancetype)paintRollerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5aa" size:size];
}

+ (instancetype)paletteIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf53f" size:size];
}

+ (instancetype)palletIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf482" size:size];
}

+ (instancetype)paperPlaneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d8" size:size];
}

+ (instancetype)paperclipIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c6" size:size];
}

+ (instancetype)parachuteBoxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4cd" size:size];
}

+ (instancetype)paragraphIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1dd" size:size];
}

+ (instancetype)parkingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf540" size:size];
}

+ (instancetype)passportIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ab" size:size];
}

+ (instancetype)pasteIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0ea" size:size];
}

+ (instancetype)pauseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf04c" size:size];
}

+ (instancetype)pauseCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf28b" size:size];
}

+ (instancetype)pawIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b0" size:size];
}

+ (instancetype)penIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf304" size:size];
}

+ (instancetype)penAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf305" size:size];
}

+ (instancetype)penFancyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ac" size:size];
}

+ (instancetype)penNibIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ad" size:size];
}

+ (instancetype)penSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf14b" size:size];
}

+ (instancetype)pencilAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf303" size:size];
}

+ (instancetype)pencilRulerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ae" size:size];
}

+ (instancetype)peopleCarryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ce" size:size];
}

+ (instancetype)percentIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf295" size:size];
}

+ (instancetype)percentageIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf541" size:size];
}

+ (instancetype)phoneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf095" size:size];
}

+ (instancetype)phoneSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3dd" size:size];
}

+ (instancetype)phoneSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf098" size:size];
}

+ (instancetype)phoneVolumeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a0" size:size];
}

+ (instancetype)piggyBankIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4d3" size:size];
}

+ (instancetype)pillsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf484" size:size];
}

+ (instancetype)planeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf072" size:size];
}

+ (instancetype)planeArrivalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5af" size:size];
}

+ (instancetype)planeDepartureIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b0" size:size];
}

+ (instancetype)playIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf04b" size:size];
}

+ (instancetype)playCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf144" size:size];
}

+ (instancetype)plugIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e6" size:size];
}

+ (instancetype)plusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf067" size:size];
}

+ (instancetype)plusCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf055" size:size];
}

+ (instancetype)plusSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0fe" size:size];
}

+ (instancetype)podcastIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ce" size:size];
}

+ (instancetype)pooIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2fe" size:size];
}

+ (instancetype)poopIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf619" size:size];
}

+ (instancetype)portraitIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e0" size:size];
}

+ (instancetype)poundSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf154" size:size];
}

+ (instancetype)powerOffIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf011" size:size];
}

+ (instancetype)prescriptionIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b1" size:size];
}

+ (instancetype)prescriptionBottleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf485" size:size];
}

+ (instancetype)prescriptionBottleAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf486" size:size];
}

+ (instancetype)printIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf02f" size:size];
}

+ (instancetype)proceduresIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf487" size:size];
}

+ (instancetype)projectDiagramIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf542" size:size];
}

+ (instancetype)puzzlePieceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf12e" size:size];
}

+ (instancetype)qrcodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf029" size:size];
}

+ (instancetype)questionIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf128" size:size];
}

+ (instancetype)questionCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf059" size:size];
}

+ (instancetype)quidditchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf458" size:size];
}

+ (instancetype)quoteLeftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf10d" size:size];
}

+ (instancetype)quoteRightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf10e" size:size];
}

+ (instancetype)randomIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf074" size:size];
}

+ (instancetype)receiptIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf543" size:size];
}

+ (instancetype)recycleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b8" size:size];
}

+ (instancetype)redoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf01e" size:size];
}

+ (instancetype)redoAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2f9" size:size];
}

+ (instancetype)registeredIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25d" size:size];
}

+ (instancetype)replyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e5" size:size];
}

+ (instancetype)replyAllIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf122" size:size];
}

+ (instancetype)retweetIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf079" size:size];
}

+ (instancetype)ribbonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4d6" size:size];
}

+ (instancetype)roadIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf018" size:size];
}

+ (instancetype)robotIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf544" size:size];
}

+ (instancetype)rocketIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf135" size:size];
}

+ (instancetype)routeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4d7" size:size];
}

+ (instancetype)rssIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf09e" size:size];
}

+ (instancetype)rssSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf143" size:size];
}

+ (instancetype)rubleSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf158" size:size];
}

+ (instancetype)rulerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf545" size:size];
}

+ (instancetype)rulerCombinedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf546" size:size];
}

+ (instancetype)rulerHorizontalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf547" size:size];
}

+ (instancetype)rulerVerticalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf548" size:size];
}

+ (instancetype)rupeeSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf156" size:size];
}

+ (instancetype)sadCryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b3" size:size];
}

+ (instancetype)sadTearIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b4" size:size];
}

+ (instancetype)saveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c7" size:size];
}

+ (instancetype)schoolIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf549" size:size];
}

+ (instancetype)screwdriverIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf54a" size:size];
}

+ (instancetype)searchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf002" size:size];
}

+ (instancetype)searchMinusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf010" size:size];
}

+ (instancetype)searchPlusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf00e" size:size];
}

+ (instancetype)seedlingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4d8" size:size];
}

+ (instancetype)serverIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf233" size:size];
}

+ (instancetype)shapesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf61f" size:size];
}

+ (instancetype)shareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf064" size:size];
}

+ (instancetype)shareAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e0" size:size];
}

+ (instancetype)shareAltSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e1" size:size];
}

+ (instancetype)shareSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf14d" size:size];
}

+ (instancetype)shekelSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf20b" size:size];
}

+ (instancetype)shieldAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ed" size:size];
}

+ (instancetype)shipIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf21a" size:size];
}

+ (instancetype)shippingFastIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf48b" size:size];
}

+ (instancetype)shoePrintsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf54b" size:size];
}

+ (instancetype)shoppingBagIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf290" size:size];
}

+ (instancetype)shoppingBasketIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf291" size:size];
}

+ (instancetype)shoppingCartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf07a" size:size];
}

+ (instancetype)showerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2cc" size:size];
}

+ (instancetype)shuttleVanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b6" size:size];
}

+ (instancetype)signIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4d9" size:size];
}

+ (instancetype)signInAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2f6" size:size];
}

+ (instancetype)signLanguageIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a7" size:size];
}

+ (instancetype)signOutAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2f5" size:size];
}

+ (instancetype)signalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf012" size:size];
}

+ (instancetype)signatureIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b7" size:size];
}

+ (instancetype)sitemapIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e8" size:size];
}

+ (instancetype)skullIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf54c" size:size];
}

+ (instancetype)slidersHIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1de" size:size];
}

+ (instancetype)smileIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf118" size:size];
}

+ (instancetype)smileBeamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b8" size:size];
}

+ (instancetype)smileWinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4da" size:size];
}

+ (instancetype)smokingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf48d" size:size];
}

+ (instancetype)smokingBanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf54d" size:size];
}

+ (instancetype)snowflakeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2dc" size:size];
}

+ (instancetype)solarPanelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ba" size:size];
}

+ (instancetype)sortIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0dc" size:size];
}

+ (instancetype)sortAlphaDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf15d" size:size];
}

+ (instancetype)sortAlphaUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf15e" size:size];
}

+ (instancetype)sortAmountDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf160" size:size];
}

+ (instancetype)sortAmountUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf161" size:size];
}

+ (instancetype)sortDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0dd" size:size];
}

+ (instancetype)sortNumericDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf162" size:size];
}

+ (instancetype)sortNumericUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf163" size:size];
}

+ (instancetype)sortUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0de" size:size];
}

+ (instancetype)spaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5bb" size:size];
}

+ (instancetype)spaceShuttleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf197" size:size];
}

+ (instancetype)spinnerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf110" size:size];
}

+ (instancetype)splotchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5bc" size:size];
}

+ (instancetype)sprayCanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5bd" size:size];
}

+ (instancetype)squareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c8" size:size];
}

+ (instancetype)squareFullIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf45c" size:size];
}

+ (instancetype)stampIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5bf" size:size];
}

+ (instancetype)starIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf005" size:size];
}

+ (instancetype)starHalfIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf089" size:size];
}

+ (instancetype)starHalfAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c0" size:size];
}

+ (instancetype)starOfLifeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf621" size:size];
}

+ (instancetype)stepBackwardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf048" size:size];
}

+ (instancetype)stepForwardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf051" size:size];
}

+ (instancetype)stethoscopeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f1" size:size];
}

+ (instancetype)stickyNoteIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf249" size:size];
}

+ (instancetype)stopIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf04d" size:size];
}

+ (instancetype)stopCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf28d" size:size];
}

+ (instancetype)stopwatchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2f2" size:size];
}

+ (instancetype)storeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf54e" size:size];
}

+ (instancetype)storeAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf54f" size:size];
}

+ (instancetype)streamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf550" size:size];
}

+ (instancetype)streetViewIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf21d" size:size];
}

+ (instancetype)strikethroughIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0cc" size:size];
}

+ (instancetype)stroopwafelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf551" size:size];
}

+ (instancetype)subscriptIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf12c" size:size];
}

+ (instancetype)subwayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf239" size:size];
}

+ (instancetype)suitcaseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f2" size:size];
}

+ (instancetype)suitcaseRollingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c1" size:size];
}

+ (instancetype)sunIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf185" size:size];
}

+ (instancetype)superscriptIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf12b" size:size];
}

+ (instancetype)surpriseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c2" size:size];
}

+ (instancetype)swatchbookIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c3" size:size];
}

+ (instancetype)swimmerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c4" size:size];
}

+ (instancetype)swimmingPoolIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c5" size:size];
}

+ (instancetype)syncIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf021" size:size];
}

+ (instancetype)syncAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2f1" size:size];
}

+ (instancetype)syringeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf48e" size:size];
}

+ (instancetype)tableIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0ce" size:size];
}

+ (instancetype)tableTennisIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf45d" size:size];
}

+ (instancetype)tabletIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf10a" size:size];
}

+ (instancetype)tabletAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3fa" size:size];
}

+ (instancetype)tabletsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf490" size:size];
}

+ (instancetype)tachometerAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3fd" size:size];
}

+ (instancetype)tagIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf02b" size:size];
}

+ (instancetype)tagsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf02c" size:size];
}

+ (instancetype)tapeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4db" size:size];
}

+ (instancetype)tasksIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0ae" size:size];
}

+ (instancetype)taxiIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ba" size:size];
}

+ (instancetype)teethIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf62e" size:size];
}

+ (instancetype)teethOpenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf62f" size:size];
}

+ (instancetype)terminalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf120" size:size];
}

+ (instancetype)textHeightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf034" size:size];
}

+ (instancetype)textWidthIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf035" size:size];
}

+ (instancetype)thIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf00a" size:size];
}

+ (instancetype)thLargeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf009" size:size];
}

+ (instancetype)thListIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf00b" size:size];
}

+ (instancetype)theaterMasksIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf630" size:size];
}

+ (instancetype)thermometerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf491" size:size];
}

+ (instancetype)thermometerEmptyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2cb" size:size];
}

+ (instancetype)thermometerFullIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c7" size:size];
}

+ (instancetype)thermometerHalfIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c9" size:size];
}

+ (instancetype)thermometerQuarterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ca" size:size];
}

+ (instancetype)thermometerThreeQuartersIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c8" size:size];
}

+ (instancetype)thumbsDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf165" size:size];
}

+ (instancetype)thumbsUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf164" size:size];
}

+ (instancetype)thumbtackIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf08d" size:size];
}

+ (instancetype)ticketAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ff" size:size];
}

+ (instancetype)timesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf00d" size:size];
}

+ (instancetype)timesCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf057" size:size];
}

+ (instancetype)tintIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf043" size:size];
}

+ (instancetype)tintSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c7" size:size];
}

+ (instancetype)tiredIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c8" size:size];
}

+ (instancetype)toggleOffIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf204" size:size];
}

+ (instancetype)toggleOnIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf205" size:size];
}

+ (instancetype)toolboxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf552" size:size];
}

+ (instancetype)toothIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c9" size:size];
}

+ (instancetype)trademarkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25c" size:size];
}

+ (instancetype)trafficLightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf637" size:size];
}

+ (instancetype)trainIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf238" size:size];
}

+ (instancetype)transgenderIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf224" size:size];
}

+ (instancetype)transgenderAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf225" size:size];
}

+ (instancetype)trashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f8" size:size];
}

+ (instancetype)trashAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ed" size:size];
}

+ (instancetype)treeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1bb" size:size];
}

+ (instancetype)trophyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf091" size:size];
}

+ (instancetype)truckIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d1" size:size];
}

+ (instancetype)truckLoadingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4de" size:size];
}

+ (instancetype)truckMonsterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf63b" size:size];
}

+ (instancetype)truckMovingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4df" size:size];
}

+ (instancetype)truckPickupIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf63c" size:size];
}

+ (instancetype)tshirtIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf553" size:size];
}

+ (instancetype)ttyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e4" size:size];
}

+ (instancetype)tvIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf26c" size:size];
}

+ (instancetype)umbrellaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e9" size:size];
}

+ (instancetype)umbrellaBeachIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ca" size:size];
}

+ (instancetype)underlineIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0cd" size:size];
}

+ (instancetype)undoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e2" size:size];
}

+ (instancetype)undoAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ea" size:size];
}

+ (instancetype)universalAccessIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf29a" size:size];
}

+ (instancetype)universityIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf19c" size:size];
}

+ (instancetype)unlinkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf127" size:size];
}

+ (instancetype)unlockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf09c" size:size];
}

+ (instancetype)unlockAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf13e" size:size];
}

+ (instancetype)uploadIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf093" size:size];
}

+ (instancetype)userIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf007" size:size];
}

+ (instancetype)userAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf406" size:size];
}

+ (instancetype)userAltSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4fa" size:size];
}

+ (instancetype)userAstronautIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4fb" size:size];
}

+ (instancetype)userCheckIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4fc" size:size];
}

+ (instancetype)userCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2bd" size:size];
}

+ (instancetype)userClockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4fd" size:size];
}

+ (instancetype)userCogIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4fe" size:size];
}

+ (instancetype)userEditIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ff" size:size];
}

+ (instancetype)userFriendsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf500" size:size];
}

+ (instancetype)userGraduateIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf501" size:size];
}

+ (instancetype)userLockIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf502" size:size];
}

+ (instancetype)userMdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0f0" size:size];
}

+ (instancetype)userMinusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf503" size:size];
}

+ (instancetype)userNinjaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf504" size:size];
}

+ (instancetype)userPlusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf234" size:size];
}

+ (instancetype)userSecretIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf21b" size:size];
}

+ (instancetype)userShieldIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf505" size:size];
}

+ (instancetype)userSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf506" size:size];
}

+ (instancetype)userTagIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf507" size:size];
}

+ (instancetype)userTieIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf508" size:size];
}

+ (instancetype)userTimesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf235" size:size];
}

+ (instancetype)usersIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0c0" size:size];
}

+ (instancetype)usersCogIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf509" size:size];
}

+ (instancetype)utensilSpoonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2e5" size:size];
}

+ (instancetype)utensilsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2e7" size:size];
}

+ (instancetype)vectorSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5cb" size:size];
}

+ (instancetype)venusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf221" size:size];
}

+ (instancetype)venusDoubleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf226" size:size];
}

+ (instancetype)venusMarsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf228" size:size];
}

+ (instancetype)vialIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf492" size:size];
}

+ (instancetype)vialsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf493" size:size];
}

+ (instancetype)videoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf03d" size:size];
}

+ (instancetype)videoSlashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e2" size:size];
}

+ (instancetype)volleyballBallIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf45f" size:size];
}

+ (instancetype)volumeDownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf027" size:size];
}

+ (instancetype)volumeOffIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf026" size:size];
}

+ (instancetype)volumeUpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf028" size:size];
}

+ (instancetype)walkingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf554" size:size];
}

+ (instancetype)walletIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf555" size:size];
}

+ (instancetype)warehouseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf494" size:size];
}

+ (instancetype)weightIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf496" size:size];
}

+ (instancetype)weightHangingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5cd" size:size];
}

+ (instancetype)wheelchairIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf193" size:size];
}

+ (instancetype)wifiIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1eb" size:size];
}

+ (instancetype)windowCloseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf410" size:size];
}

+ (instancetype)windowMaximizeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d0" size:size];
}

+ (instancetype)windowMinimizeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d1" size:size];
}

+ (instancetype)windowRestoreIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d2" size:size];
}

+ (instancetype)wineGlassIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e3" size:size];
}

+ (instancetype)wineGlassAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5ce" size:size];
}

+ (instancetype)wonSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf159" size:size];
}

+ (instancetype)wrenchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0ad" size:size];
}

+ (instancetype)xRayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf497" size:size];
}

+ (instancetype)yenSignIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf157" size:size];
}

@end
